# coding: utf-8

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import print_function
from __future__ import absolute_import

import argparse
import sys
import json

from lvestats.plugins.generic.statsnotifier import get_stats_notifier_parameters

SUPPORTED_PARAMS = ['notification_allowed']
SUPPORTED_TYPES = ['statsnotifier']


if __name__ == '__main__':
    parser = argparse.ArgumentParser(description='Tool for getting parameters from config')
    parser.add_argument('-u', '--user', help='Specify username')
    parser.add_argument('-t', '--type', required=True, help='Specify config type, e.g statsnotifier',
                        choices=SUPPORTED_TYPES)
    parser.add_argument('-p', '--parameter', required=True, help='Parameter to read',
                        choices=SUPPORTED_PARAMS)

    args = parser.parse_args()
    try:
        result = get_stats_notifier_parameters(args.user)
        print(json.dumps({args.parameter: result}))
        sys.exit(0)
    except Exception as e:
        print(json.dumps({'error': str(e)}))
        sys.exit(-1)
